QGIS doesn't read geometry from WFS
Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26060

Description

When I try to read the following WFS, QGIS only reads attributes without geometry

http://go.geozug.ch/Zug_WFS_Baumkataster/service.svc/get?SERVICE=WFS&#38;REQUEST=GetCapabilities

When I use Internet Explorer or FME as a WFS client, the geometry is read:

http://go.geozug.ch/Zug_WFS_Baumkataster/service.svc/get?SERVICE=WFS&#38;VERSION=2.0.0&#38;REQUEST=GetFeature&#3

;TYPENAMES=Baumkataster_Zug&#38;COUNT=1

Associated revisions

Revision d313f7c0 - 2018-02-26 12:04 PM - Even Rouault

WFS provider: handle gmgml:Point_MultiPointPropertyType (fixes #18169)

Revision 7827d924 - 2018-02-26 12:19 PM - Even Rouault

WFS provider: handle gmgml:Point_MultiPointPropertyType (fixes #18169)

Revision c6dcb325 - 2018-02-26 12:41 PM - Even Rouault

WFS provider: handle gmgml:Point_MultiPointPropertyType (fixes #18169)

History

#1 - 2018-02-26 12:04 PM - Even Rouault

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|d313f7c059c5f59a66697e5e9a93a13e074f62c9.

#2 - 2018-03-03 09:31 PM - Giovanni Manghi

- Resolution set to fixed/implemented
